configure
上传用户:rrhhcc
上传日期:2015-12-11
资源大小:54129k
文件大小:268k
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_prog_cc_g=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
- echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
- if test "$ac_test_CFLAGS" = set; then
- CFLAGS=$ac_save_CFLAGS
- elif test $ac_cv_prog_cc_g = yes; then
- if test "$GCC" = yes; then
- CFLAGS="-g -O2"
- else
- CFLAGS="-g"
- fi
- else
- if test "$GCC" = yes; then
- CFLAGS="-O2"
- else
- CFLAGS=
- fi
- fi
- echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
- echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
- if test "${ac_cv_prog_cc_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_cv_prog_cc_stdc=no
- ac_save_CC=$CC
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdarg.h>
- #include <stdio.h>
- #include <sys/types.h>
- #include <sys/stat.h>
- /* Most of the following tests are stolen from RCS 5.7's src/conf.sh. */
- struct buf { int x; };
- FILE * (*rcsopen) (struct buf *, struct stat *, int);
- static char *e (p, i)
- char **p;
- int i;
- {
- return p[i];
- }
- static char *f (char * (*g) (char **, int), char **p, ...)
- {
- char *s;
- va_list v;
- va_start (v,p);
- s = g (p, va_arg (v,int));
- va_end (v);
- return s;
- }
- /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
- function prototypes and stuff, but not 'xHH' hex character constants.
- These don't provoke an error unfortunately, instead are silently treated
- as 'x'. The following induces an error, until -std1 is added to get
- proper ANSI mode. Curiously 'x00'!='x' always comes out true, for an
- array size at least. It's necessary to write 'x00'==0 to get something
- that's true only with -std1. */
- int osf4_cc_array ['x00' == 0 ? 1 : -1];
- int test (int i, double x);
- struct s1 {int (*f) (int a);};
- struct s2 {int (*f) (double a);};
- int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
- int argc;
- char **argv;
- int
- main ()
- {
- return f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1];
- ;
- return 0;
- }
- _ACEOF
- # Don't try gcc -ansi; that turns off useful extensions and
- # breaks some systems' header files.
- # AIX -qlanglvl=ansi
- # Ultrix and OSF/1 -std1
- # HP-UX 10.20 and later -Ae
- # HP-UX older versions -Aa -D_HPUX_SOURCE
- # SVR4 -Xc -D__EXTENSIONS__
- for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
- do
- CC="$ac_save_CC $ac_arg"
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_prog_cc_stdc=$ac_arg
- break
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- fi
- rm -f conftest.err conftest.$ac_objext
- done
- rm -f conftest.$ac_ext conftest.$ac_objext
- CC=$ac_save_CC
- fi
- case "x$ac_cv_prog_cc_stdc" in
- x|xno)
- echo "$as_me:$LINENO: result: none needed" >&5
- echo "${ECHO_T}none needed" >&6 ;;
- *)
- echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
- echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
- CC="$CC $ac_cv_prog_cc_stdc" ;;
- esac
- # Some people use a C++ compiler to compile C. Since we use `exit',
- # in C++ we need to declare it. In case someone uses the same compiler
- # for both compiling C and C++ we need to have the C++ compiler decide
- # the declaration of exit, since it's the most demanding environment.
- cat >conftest.$ac_ext <<_ACEOF
- #ifndef __cplusplus
- choke me
- #endif
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- for ac_declaration in
- ''
- 'extern "C" void std::exit (int) throw (); using std::exit;'
- 'extern "C" void std::exit (int); using std::exit;'
- 'extern "C" void exit (int) throw ();'
- 'extern "C" void exit (int);'
- 'void exit (int);'
- do
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_declaration
- #include <stdlib.h>
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- continue
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_declaration
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- break
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- done
- rm -f conftest*
- if test -n "$ac_declaration"; then
- echo '#ifdef __cplusplus' >>confdefs.h
- echo $ac_declaration >>confdefs.h
- echo '#endif' >>confdefs.h
- fi
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- ac_ext=cc
- ac_cpp='$CXXCPP $CPPFLAGS'
- ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
- if test -n "$ac_tool_prefix"; then
- for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
- do
- # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
- set dummy $ac_tool_prefix$ac_prog; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_prog_CXX+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test -n "$CXX"; then
- ac_cv_prog_CXX="$CXX" # Let the user override the test.
- else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- fi
- fi
- CXX=$ac_cv_prog_CXX
- if test -n "$CXX"; then
- echo "$as_me:$LINENO: result: $CXX" >&5
- echo "${ECHO_T}$CXX" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- test -n "$CXX" && break
- done
- fi
- if test -z "$CXX"; then
- ac_ct_CXX=$CXX
- for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
- do
- # Extract the first word of "$ac_prog", so it can be a program name with args.
- set dummy $ac_prog; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- if test -n "$ac_ct_CXX"; then
- ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
- else
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_prog_ac_ct_CXX="$ac_prog"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- fi
- fi
- ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
- if test -n "$ac_ct_CXX"; then
- echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
- echo "${ECHO_T}$ac_ct_CXX" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- test -n "$ac_ct_CXX" && break
- done
- test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
- CXX=$ac_ct_CXX
- fi
- # Provide some information about the compiler.
- echo "$as_me:$LINENO:"
- "checking for C++ compiler version" >&5
- ac_compiler=`set X $ac_compile; echo $2`
- { (eval echo "$as_me:$LINENO: "$ac_compiler --version </dev/null >&5"") >&5
- (eval $ac_compiler --version </dev/null >&5) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }
- { (eval echo "$as_me:$LINENO: "$ac_compiler -v </dev/null >&5"") >&5
- (eval $ac_compiler -v </dev/null >&5) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }
- { (eval echo "$as_me:$LINENO: "$ac_compiler -V </dev/null >&5"") >&5
- (eval $ac_compiler -V </dev/null >&5) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }
- echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
- echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
- if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- int
- main ()
- {
- #ifndef __GNUC__
- choke me
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_compiler_gnu=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_compiler_gnu=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
- fi
- echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
- echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
- GXX=`test $ac_compiler_gnu = yes && echo yes`
- ac_test_CXXFLAGS=${CXXFLAGS+set}
- ac_save_CXXFLAGS=$CXXFLAGS
- CXXFLAGS="-g"
- echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
- echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
- if test "${ac_cv_prog_cxx_g+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_prog_cxx_g=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_prog_cxx_g=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
- echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
- if test "$ac_test_CXXFLAGS" = set; then
- CXXFLAGS=$ac_save_CXXFLAGS
- elif test $ac_cv_prog_cxx_g = yes; then
- if test "$GXX" = yes; then
- CXXFLAGS="-g -O2"
- else
- CXXFLAGS="-g"
- fi
- else
- if test "$GXX" = yes; then
- CXXFLAGS="-O2"
- else
- CXXFLAGS=
- fi
- fi
- for ac_declaration in
- ''
- 'extern "C" void std::exit (int) throw (); using std::exit;'
- 'extern "C" void std::exit (int); using std::exit;'
- 'extern "C" void exit (int) throw ();'
- 'extern "C" void exit (int);'
- 'void exit (int);'
- do
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_declaration
- #include <stdlib.h>
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- continue
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_declaration
- int
- main ()
- {
- exit (42);
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- break
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- done
- rm -f conftest*
- if test -n "$ac_declaration"; then
- echo '#ifdef __cplusplus' >>confdefs.h
- echo $ac_declaration >>confdefs.h
- echo '#endif' >>confdefs.h
- fi
- ac_ext=c
- ac_cpp='$CPP $CPPFLAGS'
- ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
- ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
- ac_compiler_gnu=$ac_cv_c_compiler_gnu
- echo "$as_me:$LINENO: checking for ANSI C header files" >&5
- echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
- if test "${ac_cv_header_stdc+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdlib.h>
- #include <stdarg.h>
- #include <string.h>
- #include <float.h>
- int
- main ()
- {
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_header_stdc=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_header_stdc=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- if test $ac_cv_header_stdc = yes; then
- # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <string.h>
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- $EGREP "memchr" >/dev/null 2>&1; then
- :
- else
- ac_cv_header_stdc=no
- fi
- rm -f conftest*
- fi
- if test $ac_cv_header_stdc = yes; then
- # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <stdlib.h>
- _ACEOF
- if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
- $EGREP "free" >/dev/null 2>&1; then
- :
- else
- ac_cv_header_stdc=no
- fi
- rm -f conftest*
- fi
- if test $ac_cv_header_stdc = yes; then
- # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
- if test "$cross_compiling" = yes; then
- :
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <ctype.h>
- #if ((' ' & 0x0FF) == 0x020)
- # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
- # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
- #else
- # define ISLOWER(c)
- (('a' <= (c) && (c) <= 'i')
- || ('j' <= (c) && (c) <= 'r')
- || ('s' <= (c) && (c) <= 'z'))
- # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
- #endif
- #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
- int
- main ()
- {
- int i;
- for (i = 0; i < 256; i++)
- if (XOR (islower (i), ISLOWER (i))
- || toupper (i) != TOUPPER (i))
- exit(2);
- exit (0);
- }
- _ACEOF
- rm -f conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- :
- else
- echo "$as_me: program exited with status $ac_status" >&5
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ( exit $ac_status )
- ac_cv_header_stdc=no
- fi
- rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- fi
- echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
- echo "${ECHO_T}$ac_cv_header_stdc" >&6
- if test $ac_cv_header_stdc = yes; then
- cat >>confdefs.h <<_ACEOF
- #define STDC_HEADERS 1
- _ACEOF
- fi
- # On IRIX 5.3, sys/types and inttypes.h are conflicting.
- for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h
- inttypes.h stdint.h unistd.h
- do
- as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- #include <$ac_header>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- eval "$as_ac_Header=yes"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- eval "$as_ac_Header=no"
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- if test `eval echo '${'$as_ac_Header'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- for ac_header in string.h
- do
- as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- else
- # Is the header compilable?
- echo "$as_me:$LINENO: checking $ac_header usability" >&5
- echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- $ac_includes_default
- #include <$ac_header>
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_header_compiler=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_header_compiler=no
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
- echo "${ECHO_T}$ac_header_compiler" >&6
- # Is the header present?
- echo "$as_me:$LINENO: checking $ac_header presence" >&5
- echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <$ac_header>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_header_preproc=no
- fi
- rm -f conftest.err conftest.$ac_ext
- echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
- echo "${ECHO_T}$ac_header_preproc" >&6
- # So? What about this header?
- case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
- echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
- echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
- echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
- echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: section "Present But Cannot Be Compiled"" >&5
- echo "$as_me: WARNING: $ac_header: section "Present But Cannot Be Compiled"" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
- echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
- echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
- (
- cat <<_ASBOX
- ## ------------------------------------------ ##
- ## Report this to the AC_PACKAGE_NAME lists. ##
- ## ------------------------------------------ ##
- _ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
- esac
- echo "$as_me:$LINENO: checking for $ac_header" >&5
- echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
- if eval "test "${$as_ac_Header+set}" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- eval "$as_ac_Header=$ac_header_preproc"
- fi
- echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
- echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
- fi
- if test `eval echo '${'$as_ac_Header'}'` = yes; then
- cat >>confdefs.h <<_ACEOF
- #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
- _ACEOF
- fi
- done
- V_INCLUDE=""
- V_LIB=""
- V_OBJ=""
- V_BROKEN_OBJ="strtol.o strtoul.o"
- V_SHELL=""
- V_TARCMD="tar cfh"
- V_SIGRET="void"
- echo "$as_me:$LINENO: checking for main in -lXbsd" >&5
- echo $ECHO_N "checking for main in -lXbsd... $ECHO_C" >&6
- if test "${ac_cv_lib_Xbsd_main+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lXbsd $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- int
- main ()
- {
- main ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_Xbsd_main=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_Xbsd_main=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_Xbsd_main" >&5
- echo "${ECHO_T}$ac_cv_lib_Xbsd_main" >&6
- if test $ac_cv_lib_Xbsd_main = yes; then
- V_LIB="$V_LIB -lXbsd"
- fi
- echo "$as_me:$LINENO: checking for socket in -lsocket" >&5
- echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
- if test "${ac_cv_lib_socket_socket+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lsocket $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char socket ();
- int
- main ()
- {
- socket ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_socket_socket=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_socket_socket=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_socket_socket" >&5
- echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6
- if test $ac_cv_lib_socket_socket = yes; then
- V_LIB="$V_LIB -lsocket"
- fi
- echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
- echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
- if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lnsl $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char gethostbyname ();
- int
- main ()
- {
- gethostbyname ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_nsl_gethostbyname=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_nsl_gethostbyname=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostbyname" >&5
- echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
- if test $ac_cv_lib_nsl_gethostbyname = yes; then
- V_LIB="$V_LIB -lnsl"
- fi
- echo "$as_me:$LINENO: checking for dcgettext in -lintl" >&5
- echo $ECHO_N "checking for dcgettext in -lintl... $ECHO_C" >&6
- if test "${ac_cv_lib_intl_dcgettext+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lintl $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char dcgettext ();
- int
- main ()
- {
- dcgettext ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_intl_dcgettext=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_intl_dcgettext=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_intl_dcgettext" >&5
- echo "${ECHO_T}$ac_cv_lib_intl_dcgettext" >&6
- if test $ac_cv_lib_intl_dcgettext = yes; then
- V_LIB="$V_LIB -lintl"
- fi
- echo "$as_me:$LINENO: checking for getnodebyname in -ldnet_stub" >&5
- echo $ECHO_N "checking for getnodebyname in -ldnet_stub... $ECHO_C" >&6
- if test "${ac_cv_lib_dnet_stub_getnodebyname+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-ldnet_stub $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char getnodebyname ();
- int
- main ()
- {
- getnodebyname ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_dnet_stub_getnodebyname=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_dnet_stub_getnodebyname=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_dnet_stub_getnodebyname" >&5
- echo "${ECHO_T}$ac_cv_lib_dnet_stub_getnodebyname" >&6
- if test $ac_cv_lib_dnet_stub_getnodebyname = yes; then
- V_LIB="$V_LIB -ldnet_stub"
- fi
- V_TAR_EXTRA=""
- V_DEFINE=""
- V_RANLIB=ranlib
- V_AR="ar cr"
- #XXX
- V_SHM="-DUSE_SHM"
- # Check whether --enable-release or --disable-release was given.
- if test "${enable_release+set}" = set; then
- enableval="$enable_release"
- else
- enable_release="no"
- fi;
- # Check whether --enable-debug or --disable-debug was given.
- if test "${enable_debug+set}" = set; then
- enableval="$enable_debug"
- else
- enable_debug="no"
- fi;
- # Check whether --enable-devel or --disable-devel was given.
- if test "${enable_devel+set}" = set; then
- enableval="$enable_devel"
- else
- enable_devel="no"
- fi;
- if test "$enable_devel" = "yes" ; then
- enable_debug="yes"
- fi
- if test -f .devel -o "$enable_devel" = "yes"; then
- OonS=""
- else
- if test "$CC" = gcc ; then
- echo "$as_me:$LINENO: checking that $CXX can handle -O2" >&5
- echo $ECHO_N "checking that $CXX can handle -O2... $ECHO_C" >&6
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- int
- main ()
- {
- #if __GNUC__ < 2 || __GNUC_MINOR__ < 8
- /* gcc */
- error
- #endif
- #if __GNUC_MINOR__ < 92
- /* egcs */
- int error;
- #endif
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext
- if { (eval echo "$as_me:$LINENO: "$ac_compile"") >&5
- (eval $ac_compile) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- echo "$as_me:$LINENO: result: yes" >&5
- echo "${ECHO_T}yes" >&6
- OonS="-O2"
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- # Optimize on Steroids
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
- fi
- fi
- if test "$enable_debug" = "yes" ; then
- V_CCOPT="-g"
- if test "$CC" = gcc ; then
- V_CCOPT="$V_CCOPT -Wall -Werror"
- V_DEFINE="$V_DEFINE -fsigned-char -fno-inline"
- fi
- else
- V_CCOPT="$OonS"
- V_DEFINE="$V_DEFINE -DNDEBUG"
- fi
- if test "$CC" = gcc ; then
- V_CCOPT="$V_CCOPT -Wall"
- fi
- # XXX Some stupid sh on solaris does not set PWD correctly, i.e.,
- # after chdir $PWD remains at the parent directory. :(
- # We'll just do this every time. Doesn't hurt anyway.
- PWD=`pwd`
- solaris=""
- if test `echo "$target_os" | sed 's/..*//'` = solaris2 ; then
- solaris="yes"
- fi
- #places="Tcl
- # /usr/src/local/Tcl
- # ../../Tcl
- # ../Tcl"
- #for d in $places; do
- # if test -f $d/tclcl.h ; then
- # V_LIB="$V_LIB $d/libTcl.a"
- # V_INCLUDE="$V_INCLUDE -I$d"
- # break
- # fi
- #done
- # we now default to non-static linking, although if the "magic" file
- # .devel exists in the current directory, we try for a static link
- # under the assumption we are trying to produce re-distributable
- # binaries.
- #
- # Yatin: Moved this code here from configure.in.tail, since the mash
- # configure.in file needs to set this variable appropriately before invoking
- # configure.in.tail and the presence of the .devel file can mess things up for
- # the linux release build
- #
- # Check whether --enable-static or --disable-static was given.
- if test "${enable_static+set}" = set; then
- enableval="$enable_static"
- else
- enable_static=""
- fi;
- if test -f .devel -o "$enable_devel" = "yes"; then
- echo -n "Development version: considering static"
- if test "$enable_static" != no; then
- echo ", and static enabled"
- V_STATIC="-static"
- else
- echo ", but static disabled anyway"
- fi
- else
- V_STATIC=""
- fi
- # This can be extended to support compilation-time module selection
- V_STLOBJ=""
- V_LSSCRIPT=""
- # This is required by configure.in.tcl to provide absolute pathnames for
- # tclsh, and configure.in.tail to absolutize V_INCLUDES and V_LIBS.
- absolutize() {
- case $1 in
- -L*) p=`echo $1 | sed 's/^-L//'` ;;
- -I*) p=`echo $1 | sed 's/^-I//'` ;;
- *) p=$1 ;;
- esac
- d=`dirname $p`
- f=`basename $p`
- ad=`(
- cd $d
- pwd
- )`
- case $1 in
- -L*) echo -L$ad/$f ;;
- -I*) echo -I$ad/$f ;;
- *) echo $ad/$f ;;
- esac
- }
- case "$target" in
- *-dec-*)
- V_DEFINE="$V_DEFINE -D_XOPEN_SOURCE_EXTENDED"
- cat >>confdefs.h <<_ACEOF
- #define _XOPEN_SOURCE_EXTENDED 1
- _ACEOF
- ;;
- sparc-sun-solaris*)
- if test $CC != gcc ; then
- V_DEFINE="$V_DEFINE -D__FUNCTION__=__func__ -features=extensions"
- fi
- V_DEFINE="$V_DEFINE -D__svr4__ -DSOLARIS_MIN_MAX"
- V_LIB="$V_LIB -ldl"
- ;;
- sparc-sun-sunos*)
- V_DEFINE="$V_DEFINE -DNEED_SUNOS_PROTOS"
- ;;
- *-sgi-irix5*)
- V_DEFINE="$V_DEFINE -DIRIX5 -D_BSD_SIGNALS"
- if test "$target_os" = irix5.3 ; then
- V_DEFINE="$V_DEFINE -DIRIX5_3"
- fi
- V_TARCMD="tar cfL"
- V_SHELL="SHELL = /bin/sh"
- if test $CC != gcc ; then
- V_DEFINE="$V_DEFINE -signed -g3"
- V_CXXOPT="$V_CXXOPT +p -float"
- CC="cc -xansi -D__STDC__ -Dinline="
- CXX="CC +p -float -DSGI_COMPAT"
- fi
- V_RANLIB="ar ts"
- ;;
- *-sgi-irix6*)
- V_DEFINE="$V_DEFINE -DIRIX6 -D_BSD_SIGNALS"
- V_TARCMD="tar cfL"
- V_SHELL="SHELL = /bin/sh"
- if test $CC != gcc ; then
- V_DEFINE="$V_DEFINE -signed -g3"
- V_CXXOPT="$V_CXXOPT +p -float"
- CC="cc -xansi -D__STDC__ -Dinline="
- CXX="CC +p -float -DSGI_COMPAT"
- fi
- V_RANLIB="ar ts"
- ;;
- *-*-bsdi1*)
- V_SHM=""
- V_TARCMD="tar cfL"
- ;;
- *-*-bsdi2.0*)
- V_SHM=""
- V_TARCMD="tar cfL"
- ;;
- *-*-bsdi2.1*)
- # bsdi2.1 added sys-v shared memory support but their implementation
- # is broken so we have to turn it off. If they ever fix libipc,
- # the following line should be deleted.
- V_SHM=""
- V_TARCMD="tar cfL"
- V_CCOPT="-O2 -m486"
- V_LIB="$V_LIB -lipc -ldl"
- ;;
- *-*-bsdi3*)
- V_SHM=""
- V_TARCMD="tar cfL"
- V_LIB="$V_LIB -lipc -ldl"
- V_OBJ="$V_OBJ misc/serial.o"
- ;;
- *-*-freebsd*)
- V_OBJ="$V_OBJ misc/serial.o"
- ;;
- *-*-netbsd*)
- V_TARCMD="tar -h -c -f"
- V_LIB="$V_LIB -L/usr/local/lib"
- ;;
- *-*-hpux*)
- cat >>confdefs.h <<_ACEOF
- #define random lrand48
- _ACEOF
- cat >>confdefs.h <<_ACEOF
- #define srandom srand
- _ACEOF
- V_CCOPT="-O"
- ;;
- *-*-aix3*)
- V_DEFINE="$V_DEFINE -DSIGARGS=int"
- if test "$V_LIB_AIXSHM" != "" ; then
- V_LIB="$V_LIB $V_LIB_AIXSHM"
- else
- V_SHM=""
- fi
- CXX="xlC -+"
- ;;
- *-*-aix4*)
- V_DEFINE="$V_DEFINE -DSIGARGS=int -D_AIX41"
- if test "$V_LIB_AIXSHM" != "" ; then
- V_LIB="$V_LIB $V_LIB_AIXSHM"
- else
- V_SHM=""
- fi
- CXX="g++"
- ;;
- *-*-linux*)
- V_BROKEN_OBJ=
- ;;
- powerpc-apple-darwin*)
- V_CCOPT="-fno-common -fPIC -pipe"
- ;;
- esac
- # Check whether --with-zlib or --without-zlib was given.
- if test "${with_zlib+set}" = set; then
- withval="$with_zlib"
- d=$withval
- else
- d=""
- fi;
- ZLIB_VERS=1.1.4
- ZLIB_H_PLACES_D="$d
- $d/include"
- ZLIB_H_PLACES="../zlib
- /usr/src/local/zlib
- ../zlib-$ZLIB_VERS
- /import/zlib/include
- /usr/src/local/zlib-$ZLIB_VERS
- /usr/src/local/zlib-$ZLIB_ALT_VERS
- $prefix/include
- /usr/local/include
- /usr/contrib/include
- /usr/include"
- ZLIB_LIB_PLACES_D="$d
- $d/lib
- "
- ZLIB_LIB_PLACES="../zlib
- ../zlib-$ZLIB_VERS
- ../zlib-$ZLIB_ALT_VERS
- $prefix/lib
- $x_libraries
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/zlib
- /usr/src/local/zlib-$ZLIB_VERS
- /usr/src/local/zlib-$ZLIB_ALT_VERS
- "
- NS_PACKAGE_zlib_UNDERWAY=false
- NS_PACKAGE_zlib_COMPLETE=true
- echo "$as_me:$LINENO: checking for zlib.h" >&5
- echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_ZLIB=FAIL
- NS_PACKAGE_zlib_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$ZLIB_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$ZLIB_H_PLACES_D"
- fi
- V_INCLUDE_ZLIB=""
- found=""
- for dir in $places; do
- if test -r $dir/zlib.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_ZLIB="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_zlib_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo zlib.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_ZLIB $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_zlib_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_ZLIB" >&5
- echo "${ECHO_T}$V_INCLUDE_ZLIB" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libz$ZLIB_VERS" >&5
- echo $ECHO_N "checking for libz$ZLIB_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_ZLIB=FAIL
- NS_PACKAGE_zlib_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$ZLIB_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$ZLIB_LIB_PLACES_D"
- fi
- V_LIB_ZLIB=""
- full_lib_name="z$ZLIB_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_ZLIB="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_ZLIB" = "FAIL" ; then
- NS_PACKAGE_zlib_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_ZLIB="-R$dir $V_LIB_ZLIB"
- fi
- ac_tr_lib=HAVE_LIB`echo z$ZLIB_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_ZLIB $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_zlib_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_ZLIB" >&5
- echo "${ECHO_T}$V_LIB_ZLIB" >&6
- fi
- fi
- if $NS_PACKAGE_zlib_COMPLETE; then
- NS_PACKAGE_zlib_VALID=false
- if $NS_PACKAGE_zlib_UNDERWAY; then
- if $NS_PACKAGE_zlib_COMPLETE; then
- : All components of zlib found.
- NS_PACKAGE_zlib_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of zlib seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where zlib is
- using the argument --with-zlib=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-zlib=no." >&5
- echo "$as_me: error: Installation of zlib seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where zlib is
- using the argument --with-zlib=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-zlib=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xno" = xyes; then
- if $NS_PACKAGE_zlib_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: zlib is required but could not be completely found.
- Please correct the problem by telling configure where zlib is
- using the argument --with-zlib=/path/to/package,
- or the package is not required, disable it with --with-zlib=no." >&5
- echo "$as_me: error: zlib is required but could not be completely found.
- Please correct the problem by telling configure where zlib is
- using the argument --with-zlib=/path/to/package,
- or the package is not required, disable it with --with-zlib=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- fi
- xlibdirs="
- /usr/openwin/lib
- /usr/X11R6/lib
- /usr/lib/X11R6
- /usr/X11R5/lib
- /usr/lib/X11R5
- /usr/X11R4/lib
- /usr/lib/X11R4
- /usr/local/lib
- /usr/X386/lib
- /usr/X11/lib
- /usr/unsupported/lib
- /Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/lib
- /import/X11R4/usr/lib"
- xincdirs="
- /usr/openwin/include
- /usr/X11R6/include
- /usr/include/X11R6
- /usr/X11R5/include
- /usr/include/X11R5
- /usr/X11R4/include
- /usr/include/X11R4
- /usr/local/include
- /usr/X386/include
- /usr/X11/include
- /usr/lpp/X11/include
- /usr/unsupported/include
- /Developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/include
- /import/X11R4/include"
- echo "checking for X11 header files"
- if test "$x_includes" = NONE ; then
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- #include <X11/Intrinsic.h>
- _ACEOF
- if { (eval echo "$as_me:$LINENO: "$ac_cpp conftest.$ac_ext"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
- else
- ac_cpp_err=yes
- fi
- if test -z "$ac_cpp_err"; then
- x_includes=""
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- x_includes=NONE
- fi
- rm -f conftest.err conftest.$ac_ext
- if test "$x_includes" = NONE ; then
- for i in $xincdirs ; do
- if test -r $i/X11/Intrinsic.h; then
- x_includes=$i
- break
- fi
- done
- if test "$x_includes" = NONE ; then
- echo "can't find X includes"
- exit 1
- fi
- fi
- fi
- if test -n "$x_includes" ; then
- V_INCLUDE_X11=-I$x_includes
- fi
- echo "checking for X11 library archive"
- if test "$x_libraries" = NONE ; then
- echo "$as_me:$LINENO: checking for XOpenDisplay in -lX11" >&5
- echo $ECHO_N "checking for XOpenDisplay in -lX11... $ECHO_C" >&6
- if test "${ac_cv_lib_X11_XOpenDisplay+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lX11 $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char XOpenDisplay ();
- int
- main ()
- {
- XOpenDisplay ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_X11_XOpenDisplay=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_X11_XOpenDisplay=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_X11_XOpenDisplay" >&5
- echo "${ECHO_T}$ac_cv_lib_X11_XOpenDisplay" >&6
- if test $ac_cv_lib_X11_XOpenDisplay = yes; then
- x_libraries=""
- else
- x_libraries=NONE
- fi
- if test "$x_libraries" = NONE ; then
- for i in $xlibdirs ; do
- if test -r $i/libX11.a -o -r $i/libX11.so -o -r $i/libX11.dll.a; then
- x_libraries=$i
- break
- fi
- done
- if test "$x_libraries" = NONE ; then
- echo "can't find X library"
- exit 1
- fi
- fi
- fi
- V_LIB_X11=-lX11
- if test -n "$V_SHM" ; then
- if test -z "$x_libraries" ; then
- echo "$as_me:$LINENO: checking for XShmAttach in -lXext" >&5
- echo $ECHO_N "checking for XShmAttach in -lXext... $ECHO_C" >&6
- if test "${ac_cv_lib_Xext_XShmAttach+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- ac_check_lib_save_LIBS=$LIBS
- LIBS="-lXext -lX11 $LIBS"
- cat >conftest.$ac_ext <<_ACEOF
- /* confdefs.h. */
- _ACEOF
- cat confdefs.h >>conftest.$ac_ext
- cat >>conftest.$ac_ext <<_ACEOF
- /* end confdefs.h. */
- /* Override any gcc2 internal prototype to avoid an error. */
- #ifdef __cplusplus
- extern "C"
- #endif
- /* We use char because int might match the return type of a gcc2
- builtin and then its argument prototype would still apply. */
- char XShmAttach ();
- int
- main ()
- {
- XShmAttach ();
- ;
- return 0;
- }
- _ACEOF
- rm -f conftest.$ac_objext conftest$ac_exeext
- if { (eval echo "$as_me:$LINENO: "$ac_link"") >&5
- (eval $ac_link) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:$LINENO: "$ac_try"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: $? = $ac_status" >&5
- (exit $ac_status); }; }; then
- ac_cv_lib_Xext_XShmAttach=yes
- else
- echo "$as_me: failed program was:" >&5
- sed 's/^/| /' conftest.$ac_ext >&5
- ac_cv_lib_Xext_XShmAttach=no
- fi
- rm -f conftest.err conftest.$ac_objext
- conftest$ac_exeext conftest.$ac_ext
- LIBS=$ac_check_lib_save_LIBS
- fi
- echo "$as_me:$LINENO: result: $ac_cv_lib_Xext_XShmAttach" >&5
- echo "${ECHO_T}$ac_cv_lib_Xext_XShmAttach" >&6
- if test $ac_cv_lib_Xext_XShmAttach = yes; then
- V_Xext="-lXext"
- else
- V_Xext=NONE
- fi
- else
- echo "checking for libXext.a"
- if test -f $x_libraries/libXext.a -o -f $x_libraries/libXext.so; then
- V_Xext="-lXext"
- else
- echo "warning: compiling without -lXext"
- fi
- fi
- if test "$V_Xext" = NONE ; then
- echo "warning: compiling without -lXext"
- else
- V_LIB_X11="$V_Xext $V_LIB_X11"
- fi
- fi
- if test -n "$x_libraries" ; then
- V_LIB_X11="-L$x_libraries $V_LIB_X11"
- if test $solaris ; then
- V_LIB_X11="-R$x_libraries $V_LIB_X11"
- fi
- fi
- # Check whether --with-tcl or --without-tcl was given.
- if test "${with_tcl+set}" = set; then
- withval="$with_tcl"
- d=$withval
- else
- d=""
- fi;
- # Check whether --with-tcl-ver or --without-tcl-ver was given.
- if test "${with_tcl_ver+set}" = set; then
- withval="$with_tcl_ver"
- TCL_VERS=$withval
- else
- TCL_VERS=8.4.18
- fi;
- TCL_HI_VERS=`echo $TCL_VERS | sed 's/^([0-9]*).([0-9]*).([0-9]*)/1.2/'`
- TCL_MAJOR_VERS=`echo $TCL_VERS | sed 's/^([0-9]*).([0-9]*).([0-9]*)/1/'`
- TCL_ALT_VERS=`echo $TCL_HI_VERS | sed 's/.//'`
- TCL_OLD_VERS=8.3
- TCL_OLD_ALT_VERS=`echo $TCL_OLD_VERS | sed 's/.//'`
- TCL_TCL_PLACES_D="$d
- $d/lib/tcl$TCL_HI_VERS
- $d/lib/tcl$TCL_VERS
- $d/lib/tcl$TCL_ALT_VERS
- $d/lib/tcl
- $d/../lib/tcl$TCL_HI_VERS
- $d/../lib/tcl$TCL_VERS
- $d/../lib/tcl$TCL_ALT_VERS
- $d/lib/tcl$TCL_OLD_VERS
- $d/lib/tcl$TCL_OLD_ALT_VERS
- $d/../lib/tcl$TCL_OLD_VERS
- $d/../lib/tcl$TCL_OLD_ALT_VERS
- $d/lib
- /System/Library/Frameworks/Tcl.framework/Versions/8.4/Resources/Scripts
- $d/library
- "
- TCL_TCL_PLACES="../lib/tcl$TCL_HI_VERS
- ../lib/tcl$TCL_ALT_VERS
- ../lib/tcl$TCL_VERS
- ../lib/tcl
- ../tcl$TCL_HI_VERS/library
- ../tcl$TCL_VERS/library
- ../tcl$TCL_ALT_VERS/library
- /usr/lib/tcl$TCL_VERS
- /usr/lib/tcl$TCL_HI_VERS
- /usr/lib/tcl$TCL_ALT_VERS
- /usr/lib/tcl
- /usr/share/tcl$TCL_VERS
- /usr/share/tcl$TCL_HI_VERS
- /usr/share/tcl$TCL_ALT_VERS
- /usr/share/tcl
- /lib/tcl$TCL_VERS
- /lib/tcl$TCL_HI_VERS
- /lib/tcl$TCL_ALT_VERS
- /usr/lib/tcl$TCL_OLD_VERS
- /usr/lib/tcl$TCL_OLD_ALT_VERS
- /lib/tcl$TCL_OLD_VERS
- /lib/tcl$TCL_OLD_ALT_VERS
- /usr/lib
- /usr/src/local/tcl$TCL_VERS/library
- /usr/src/local/tcl$TCL_HI_VERS/library
- /usr/src/local/tcl$TCL_ALT_VERS/library
- /usr/local/lib/tcl$TCL_VERS
- /usr/local/lib/tcl$TCL_HI_VERS
- /usr/local/lib/tcl$TCL_ALT_VERS
- /usr/local/include/tcl$TCL_VERS
- /usr/local/include/tcl$TCL_HI_VERS
- /usr/local/include/tcl$TCL_ALT_VERS
- ../tcl$TCL_OLD_VERS/library
- ../tcl$TCL_OLD_ALT_VERS/library
- /usr/src/local/tcl$TCL_OLD_VERS/library
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/library
- /usr/local/lib/tcl$TCL_OLD_VERS
- /usr/local/lib/tcl$TCL_OLD_ALT_VERS
- /usr/local/include/tcl$TCL_OLD_VERS
- /usr/local/include/tcl$TCL_OLD_ALT_VERS
- /usr/local/include
- $prefix/include
- $prefix/lib/tcl
- $x_includes/tk
- $x_includes
- /usr/contrib/include
- /usr/include"
- TCL_H_PLACES_D="$d/generic
- $d/unix
- $d/include/tcl$TCL_HI_VERS
- $d/include/tcl$TCL_VERS
- $d/include/tcl$TCL_ALT_VERS
- $d/include
- "
- TCL_H_PLACES="
- ../include
- ../tcl$TCL_VERS/unix
- ../tcl$TCL_ALT_VERS/unix
- ../tcl$TCL_HI_VERS/generic
- ../tcl$TCL_VERS/generic
- ../tcl$TCL_ALT_VERS/generic
- /usr/src/local/tcl$TCL_VERS/generic
- /usr/src/local/tcl$TCL_HI_VERS/generic
- /usr/src/local/tcl$TCL_ALT_VERS/generic
- /usr/src/local/tcl$TCL_VERS/unix
- /usr/src/local/tcl$TCL_HI_VERS/unix
- /usr/src/local/tcl$TCL_ALT_VERS/unix
- /usr/contrib/include
- /usr/local/lib/tcl$TCL_VERS
- /usr/local/lib/tcl$TCL_HI_VERS
- /usr/local/lib/tcl$TCL_ALT_VERS
- /usr/local/include/tcl$TCL_VERS
- /usr/local/include/tcl$TCL_HI_VERS
- /usr/local/include/tcl$TCL_ALT_VERS
- /usr/local/include
- /import/tcl/include/tcl$TCL_VERS
- /import/tcl/include/tcl$TCL_HI_VERS
- /import/tcl/include/tcl$TCL_ALT_VERS
- ../tcl$TCL_OLD_VERS/generic
- ../tcl$TCL_OLD_ALT_VERS/generic
- /usr/src/local/tcl$TCL_OLD_VERS/generic
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/generic
- ../tcl$TCL_OLD_VERS/unix
- ../tcl$TCL_OLD_ALT_VERS/unix
- /usr/src/local/tcl$TCL_OLD_VERS/unix
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/unix
- /usr/local/lib/tcl$TCL_OLD_VERS
- /usr/local/lib/tcl$TCL_OLD_ALT_VERS
- /usr/local/include/tcl$TCL_OLD_VERS
- /usr/local/include/tcl$TCL_OLD_ALT_VERS
- /import/tcl/include/tcl$TCL_OLD_VERS
- /import/tcl/include/tcl$TCL_OLD_ALT_VERS
- $prefix/include
- $x_includes/tk
- $x_includes
- /usr/include
- /usr/include/tcl$TCL_VERS
- /usr/include/tcl$TCL_HI_VERS
- /usr/include/tcl$TCL_ALT_VERS
- /usr/include/tcl"
- TCL_LIB_PLACES_D="$d
- $d/lib
- $d/unix"
- TCL_LIB_PLACES="
- ../lib
- ../tcl$TCL_VERS/unix
- ../tcl$TCL_HI_VERS/unix
- ../tcl$TCL_ALT_VERS/unix
- /usr/src/local/tcl$TCL_VERS/unix
- /usr/src/local/tcl$TCL_HI_VERS/unix
- /usr/src/local/tcl$TCL_ALT_VERS/unix
- /usr/contrib/lib
- /usr/local/lib/tcl$TCL_VERS
- /usr/local/lib/tcl$TCL_HI_VERS
- /usr/local/lib/tcl$TCL_ALT_VERS
- /usr/lib/tcl$TCL_VERS
- /usr/lib/tcl$TCL_HI_VERS
- /usr/lib/tcl$TCL_ALT_VERS
- ../tcl$TCL_OLD_VERS/unix
- ../tcl$TCL_OLD_ALT_VERS/unix
- /usr/src/local/tcl$TCL_OLD_VERS/unix
- /usr/src/local/tcl$TCL_OLD_ALT_VERS/unix
- /usr/local/lib/tcl$TCL_OLD_VERS
- /usr/local/lib/tcl$TCL_OLD_ALT_VERS
- /usr/lib/tcl$TCL_OLD_VERS
- /usr/lib/tcl$TCL_OLD_ALT_VERS
- /usr/local/lib
- $prefix/lib
- $x_libs/tk
- $x_libs
- /usr/lib
- "
- V_TCL_LIBRARY_FILES="$(TCL_`echo $TCL_ALT_VERS`_LIBRARY_FILES)"
- test "x$TCL_VERS" = x8.3.5 && V_TCL_LIBRARY_FILES="$(TCL_835_LIBRARY_FILES)"
- NS_PACKAGE_tcl_UNDERWAY=false
- NS_PACKAGE_tcl_COMPLETE=true
- echo "$as_me:$LINENO: checking for tcl.h" >&5
- echo $ECHO_N "checking for tcl.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_TCL=FAIL
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCL_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCL_H_PLACES_D"
- fi
- V_INCLUDE_TCL=""
- found=""
- for dir in $places; do
- if test -r $dir/tcl.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_TCL="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo tcl.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_TCL $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_tcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_TCL" >&5
- echo "${ECHO_T}$V_INCLUDE_TCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libtcl$TCL_HI_VERS" >&5
- echo $ECHO_N "checking for libtcl$TCL_HI_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TCL=FAIL
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCL_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCL_LIB_PLACES_D"
- fi
- V_LIB_TCL=""
- full_lib_name="tcl$TCL_HI_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TCL="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TCL" = "FAIL" ; then
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TCL="-R$dir $V_LIB_TCL"
- fi
- ac_tr_lib=HAVE_LIB`echo tcl$TCL_HI_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TCL $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TCL" >&5
- echo "${ECHO_T}$V_LIB_TCL" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for init.tcl" >&5
- echo $ECHO_N "checking for init.tcl... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_LIBRARY_TCL=FAIL
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCL_TCL_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCL_TCL_PLACES_D"
- fi
- V_LIBRARY_TCL=""
- for dir in $places; do
- if test -r $dir/init.tcl; then
- V_LIBRARY_TCL="$dir"
- break
- fi
- done
- if test "FAIL$V_LIBRARY_TCL" = "FAIL" ; then
- NS_PACKAGE_tcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_tcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIBRARY_TCL" >&5
- echo "${ECHO_T}$V_LIBRARY_TCL" >&6
- fi
- fi
- #
- # check for tclsh
- #
- oldpath=$PATH
- # $d/unix works if $d is the 8.0 distribution
- # $d/bin is for the ns-allinone distribution (kind of hacky, isn't it?)
- PATH=../bin:../tcl$TCL_HI_VERS/unix:../tcl$TCL_VERS/unix:$d/unix:$d/bin:$PATH
- for ac_prog in tclsh$TCL_VERS tclsh$TCL_HI_VERS tclsh tclsh$TCL_OLD_VERS
- do
- # Extract the first word of "$ac_prog", so it can be a program name with args.
- set dummy $ac_prog; ac_word=$2
- echo "$as_me:$LINENO: checking for $ac_word" >&5
- echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
- if test "${ac_cv_path_V_TCLSH+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- case $V_TCLSH in
- [\/]* | ?:[\/]*)
- ac_cv_path_V_TCLSH="$V_TCLSH" # Let the user override the test with a path.
- ;;
- *)
- as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
- for as_dir in $PATH
- do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- for ac_exec_ext in '' $ac_executable_extensions; do
- if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
- ac_cv_path_V_TCLSH="$as_dir/$ac_word$ac_exec_ext"
- echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
- break 2
- fi
- done
- done
- ;;
- esac
- fi
- V_TCLSH=$ac_cv_path_V_TCLSH
- if test -n "$V_TCLSH"; then
- echo "$as_me:$LINENO: result: $V_TCLSH" >&5
- echo "${ECHO_T}$V_TCLSH" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- fi
- test -n "$V_TCLSH" && break
- done
- test -n "$V_TCLSH" || V_TCLSH="no"
- if test x"$V_TCLSH" = xno
- then
- # out of luck
- NS_PACKAGE_tcl_COMPLETE=false
- fi
- # absolutize it
- V_TCLSH=`absolutize $V_TCLSH`
- PATH=$oldpath
- NS_PACKAGE_tcl_VALID=false
- if $NS_PACKAGE_tcl_UNDERWAY; then
- if $NS_PACKAGE_tcl_COMPLETE; then
- : All components of tcl found.
- NS_PACKAGE_tcl_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcl=no." >&5
- echo "$as_me: error: Installation of tcl seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xyes" = xyes; then
- if $NS_PACKAGE_tcl_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tcl is required but could not be completely found.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package,
- or the package is not required, disable it with --with-tcl=no." >&5
- echo "$as_me: error: tcl is required but could not be completely found.
- Please correct the problem by telling configure where tcl is
- using the argument --with-tcl=/path/to/package,
- or the package is not required, disable it with --with-tcl=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- # Check whether --with-tk or --without-tk was given.
- if test "${with_tk+set}" = set; then
- withval="$with_tk"
- d=$withval
- else
- d=""
- fi;
- # Check whether --with-tk-ver or --without-tk-ver was given.
- if test "${with_tk_ver+set}" = set; then
- withval="$with_tk_ver"
- TK_VERS=$withval
- else
- TK_VERS=8.4.18
- fi;
- TK_HI_VERS=`echo $TK_VERS | sed 's/([0-9]*).([0-9]*).([0-9]*)/1.2/'`
- TK_MAJOR_VERS=`echo $TK_VERS | sed 's/([0-9]*).([0-9]*).([0-9]*)/1/'`
- TK_ALT_VERS=`echo $TK_VERS | sed 's/.//'`
- TK_OLD_VERS=8.3
- TK_OLD_ALT_VERS=`echo $TK_OLD_VERS | sed 's/.//'`
- TK_TCL_PLACES_D="$d
- $d/lib/tk$TK_VERS
- $d/lib/tk$TK_ALT_VERS
- $d/lib/tk$TK_HI_VERS
- $d/library
- $d/lib/tk
- $d/../lib/tk$TK_VERS
- $d/../lib/tk$TK_ALT_VERS
- $d/../lib/tk$TK_HI_VERS
- $d/../lib/tk
- $d/lib/tk$TK_OLD_VERS
- $d/lib/tk$TK_OLD_ALT_VERS
- $d/../lib/tk$TK_OLD_VERS
- $d/../lib/tk$TK_OLD_ALT_VERS
- $d/../lib/tk
- $d/lib
- /System/Library/Frameworks/Tk.framework/Versions/8.4/Resources/Scripts
- $d/library"
- TK_TCL_PLACES="
- ../lib/tk$TK_HI_VERS
- ../lib/tk$TK_VERS
- ../lib/tk$TK_ALT_VERS
- ../tk$TK_VERS/library
- ../tk$TK_ALT_VERS/library
- ../tk$TK_HI_VERS/library
- ../tk/library
- /usr/src/local/tk$TK_VERS/library
- /usr/src/local/tk$TK_ALT_VERS/library
- /usr/src/local/tk$TK_HI_VERS/library
- /usr/contrib/include
- /usr/local/lib/tk$TK_VERS
- /usr/local/lib/tk$TK_ALT_VERS
- /usr/local/lib/tk$TK_HI_VERS
- /usr/local/include/tk$TK_VERS
- /usr/local/include/tk$TK_ALT_VERS
- /usr/local/include/tk$TK_HI_VERS
- /usr/local/include
- /usr/lib/tk$TK_VERS
- /usr/lib/tk$TK_ALT_VERS
- /usr/lib/tk$TK_HI_VERS
- /usr/lib/tk
- /usr/share/tk$TK_VERS
- /usr/share/tk$TK_ALT_VERS
- /usr/share/tk$TK_HI_VERS
- /usr/share/tk
- ../tk$TK_OLD_VERS/library
- ../tk$TK_OLD_ALT_VERS/library
- /usr/src/local/tk$TK_OLD_VERS/library
- /usr/src/local/tk$TK_OLD_ALT_VERS/library
- /usr/local/lib/tk$TK_OLD_VERS
- /usr/local/lib/tk$TK_OLD_ALT_VERS
- /usr/local/include/tk$TK_OLD_VERS
- /usr/local/include/tk$TK_OLD_ALT_VERS
- /usr/lib/tk$TK_OLD_VERS
- /usr/lib/tk$TK_OLD_ALT_VERS
- $prefix/include
- $prefix/lib/tk
- $x_includes/tk
- $x_includes
- /usr/include"
- TK_H_PLACES_D="$d
- $d/generic
- $d/../include/tk$TK_VERS
- $d/../include/tk$TK_HI_VERS
- $d/../include/tk$TK_OLD_VERS
- $d/include/tk$TK_VERS
- $d/include/tk$TK_HI_VERS
- $d/include/tk$TK_OLD_VERS
- $d/include"
- TK_H_PLACES="
- ../include
- ../tk$TK_VERS/generic
- ../tk$TK_ALT_VERS/generic
- ../tk$TK_HI_VERS/generic
- /usr/src/local/tk$TK_VERS/generic
- /usr/src/local/tk$TK_ALT_VERS/generic
- /usr/src/local/tk$TK_HI_VERS/generic
- /usr/contrib/include
- /usr/local/lib/tk$TK_VERS
- /usr/local/lib/tk$TK_ALT_VERS
- /usr/local/lib/tk$TK_HI_VERS
- /usr/local/include/tk$TK_VERS
- /usr/local/include/tk$TK_ALT_VERS
- /usr/local/include/tk$TK_HI_VERS
- /usr/local/include
- /import/tk/include/tk$TK_VERS
- /import/tk/include/tk$TK_ALT_VERS
- /import/tk/include/tk$TK_HI_VERS
- ../tk$TK_OLD_VERS/generic
- ../tk$TK_OLD_ALT_VERS/generic
- /usr/src/local/tk$TK_OLD_VERS/generic
- /usr/src/local/tk$TK_OLD_ALT_VERS/generic
- /usr/local/lib/tk$TK_OLD_VERS
- /usr/local/lib/tk$TK_OLD_ALT_VERS
- /usr/local/include/tk$TK_OLD_VERS
- /usr/local/include/tk$TK_OLD_ALT_VERS
- /import/tk/include/tk$TK_OLD_VERS
- /import/tk/include/tk$TK_OLD_ALT_VERS
- $prefix/include
- $x_includes/tk
- $x_includes
- /usr/include
- /usr/include/tcl
- /usr/include/tcl$TK_VERS
- /usr/include/tcl$TK_ALT_VERS
- /usr/include/tcl$TK_HI_VERS"
- TK_LIB_PLACES_D="$d
- $d/lib
- $d/unix"
- TK_LIB_PLACES="
- ../lib
- ../lib/tk$TK_HI_VERS
- ../lib/tk$TK_VERS
- ../lib/tk$TK_ALT_VERS
- ../tk$TK_VERS/unix
- ../tk$TK_ALT_VERS/unix
- ../tk$TK_HI_VERS/unix
- /usr/src/local/tk$TK_VERS/unix
- /usr/src/local/tk$TK_ALT_VERS/unix
- /usr/src/local/tk$TK_HI_VERS/unix
- /usr/contrib/lib
- /usr/local/lib/tk$TK_VERS
- /usr/local/lib/tk$TK_ALT_VERS
- /usr/local/lib/tk$TK_HI_VERS
- ../tk$TK_OLD_VERS/unix
- ../tk$TK_OLD_ALT_VERS/unix
- /usr/src/local/tk$TK_OLD_VERS/unix
- /usr/src/local/tk$TK_OLD_ALT_VERS/unix
- /usr/local/lib/tk$TK_OLD_VERS
- /usr/local/lib/tk$TK_OLD_ALT_VERS
- /usr/local/lib
- $prefix/lib
- $x_libs/tk
- $x_libs
- /usr/lib"
- NS_PACKAGE_tk_UNDERWAY=false
- NS_PACKAGE_tk_COMPLETE=true
- echo "$as_me:$LINENO: checking for tk.h" >&5
- echo $ECHO_N "checking for tk.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_TK=FAIL
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TK_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TK_H_PLACES_D"
- fi
- V_INCLUDE_TK=""
- found=""
- for dir in $places; do
- if test -r $dir/tk.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_TK="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo tk.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_TK $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_tk_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_TK" >&5
- echo "${ECHO_T}$V_INCLUDE_TK" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for libtk$TK_HI_VERS" >&5
- echo $ECHO_N "checking for libtk$TK_HI_VERS... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TK=FAIL
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TK_LIB_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TK_LIB_PLACES_D"
- fi
- V_LIB_TK=""
- full_lib_name="tk$TK_HI_VERS"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TK="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TK" = "FAIL" ; then
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TK="-R$dir $V_LIB_TK"
- fi
- ac_tr_lib=HAVE_LIB`echo tk$TK_HI_VERS | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TK $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tk_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TK" >&5
- echo "${ECHO_T}$V_LIB_TK" >&6
- fi
- fi
- echo "$as_me:$LINENO: checking for tk.tcl" >&5
- echo $ECHO_N "checking for tk.tcl... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_LIBRARY_TK=FAIL
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TK_TCL_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TK_TCL_PLACES_D"
- fi
- V_LIBRARY_TK=""
- for dir in $places; do
- if test -r $dir/tk.tcl; then
- V_LIBRARY_TK="$dir"
- break
- fi
- done
- if test "FAIL$V_LIBRARY_TK" = "FAIL" ; then
- NS_PACKAGE_tk_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- NS_PACKAGE_tk_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIBRARY_TK" >&5
- echo "${ECHO_T}$V_LIBRARY_TK" >&6
- fi
- fi
- NS_PACKAGE_tk_VALID=false
- if $NS_PACKAGE_tk_UNDERWAY; then
- if $NS_PACKAGE_tk_COMPLETE; then
- : All components of tk found.
- NS_PACKAGE_tk_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tk seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tk=no." >&5
- echo "$as_me: error: Installation of tk seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tk=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xno" = xyes; then
- if $NS_PACKAGE_tk_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tk is required but could not be completely found.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package,
- or the package is not required, disable it with --with-tk=no." >&5
- echo "$as_me: error: tk is required but could not be completely found.
- Please correct the problem by telling configure where tk is
- using the argument --with-tk=/path/to/package,
- or the package is not required, disable it with --with-tk=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test -r $V_LIBRARY_TK/optionMenu.tcl ; then
- V_TKDOSNAMES='$(LIBRARY_TK)/optionMenu.tcl $(LIBRARY_TK)/scrollbar.tcl'
- V_NEED_DL=""
- else
- V_TKDOSNAMES='$(LIBRARY_TK)/optMenu.tcl $(LIBRARY_TK)/scrlbar.tcl'
- V_NEED_DL=YES
- fi
- # Check whether --with-tcldebug or --without-tcldebug was given.
- if test "${with_tcldebug+set}" = set; then
- withval="$with_tcldebug"
- d=$withval
- else
- d=""
- fi;
- #xxx: Don't know anything about 1.8
- # 2.0 = tcl 8.3
- # 1.9 = tcl 7.5, 7.6, 8.0
- TCLDEBUG_VERS="2.0 1.9 1.8 1.7"
- pwd_vers=""
- local_vers=""
- for vers in $TCLDEBUG_VERS; do
- pwd_vers="$pwd_vers $PWD/../tcl-debug-$vers"
- local_vers="$local_vers /usr/src/local/otcl-debug-$vers"
- done
- TCLDEBUG_PATH="
- $PWD/../tcl-debug
- $pwd_vers
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/tcl-debug
- $local_vers
- "
- TCLDEBUG_PATH_D="$d
- $d/lib
- $d/../lib
- "
- NS_PACKAGE_tcldebug_UNDERWAY=false
- NS_PACKAGE_tcldebug_COMPLETE=true
- echo "$as_me:$LINENO: checking for libtcldbg" >&5
- echo $ECHO_N "checking for libtcldbg... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable library
- V_LIB_TCLDEBUG=FAIL
- NS_PACKAGE_tcldebug_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$TCLDEBUG_PATH"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$TCLDEBUG_PATH_D"
- fi
- V_LIB_TCLDEBUG=""
- full_lib_name="tcldbg"
- simple_lib_name=`echo $full_lib_name | sed -e 's/.//'`
- other_simple_lib_name=`echo $full_lib_name | sed -e 's/./_/'`
- simpler_lib_name=`echo $simple_lib_name | sed -e 'y/0123456789/ /'`
- double_break=false
- for dir in $places; do
- for file in $full_lib_name $simple_lib_name $other_simple_lib_name $simpler_lib_name
- do
- if test -r $dir/lib$file.so -o -r $dir/lib$file.a -o -r $dir/lib$file.dylib; then
- V_LIB_TCLDEBUG="-L$dir -l$file"
- double_break=true
- break
- fi
- done
- if $double_break; then
- break
- fi
- done
- if test "FAIL$V_LIB_TCLDEBUG" = "FAIL" ; then
- NS_PACKAGE_tcldebug_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- if test "$solaris"; then
- V_LIB_TCLDEBUG="-R$dir $V_LIB_TCLDEBUG"
- fi
- ac_tr_lib=HAVE_LIB`echo tcldbg | sed -e 's/[^a-zA-Z0-9_]/_/g'
- -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_lib 1
- _ACEOF
- V_LIBS="$V_LIB_TCLDEBUG $V_LIBS"
- V_DEFINES="-D$ac_tr_lib $V_DEFINES"
- NS_PACKAGE_tcldebug_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_LIB_TCLDEBUG" >&5
- echo "${ECHO_T}$V_LIB_TCLDEBUG" >&6
- fi
- fi
- #if $NS_PACKAGE_tcldebug_COMPLETE; then
- # look for debugger entry point function
- #tmpLIBS=$LIBS
- #LIBS="$V_LIB_TCL $V_LIB_TCLDEBUG"
- # the following two may be needed for linking during tcldbg CHECK_LIB
- #AC_CHECK_LIB(m, main)
- #AC_CHECK_LIB(dl, dlopen)
- #notfound=false
- #AC_CHECK_LIB(tcldbg, Dbg_Init, V_DEFINES="-DHAVE_Dbg_Init $V_DEFINES",notfound=true)
- #if $notfound; then
- # notfound=false
- # AC_CHECK_LIB(tcldbg, Tcldbg_Init, V_DEFINES="-DHAVE_Tcldbg_Init $V_DEFINES",notfound=true)
- #fi
- #LIBS=$tmpLIBS
- #if $notfound; then
- # echo "configure: warning: Tcl debugger init point is not found. You
- #will not be able to use Tcl debugger." 1>&2
- # NS_PACKAGE_tcldebug_COMPLETE=false
- #fi
- #fi
- if $NS_PACKAGE_tcldebug_COMPLETE; then
- NS_PACKAGE_tcldebug_VALID=false
- if $NS_PACKAGE_tcldebug_UNDERWAY; then
- if $NS_PACKAGE_tcldebug_COMPLETE; then
- : All components of tcldebug found.
- NS_PACKAGE_tcldebug_VALID=true
- else
- { { echo "$as_me:$LINENO: error: Installation of tcldebug seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcldebug=no." >&5
- echo "$as_me: error: Installation of tcldebug seems incomplete or can't be found automatically.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package
- (perhaps after installing it),
- or the package is not required, disable it with --with-tcldebug=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- if test "xno" = xyes; then
- if $NS_PACKAGE_tcldebug_VALID; then
- :
- else
- { { echo "$as_me:$LINENO: error: tcldebug is required but could not be completely found.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package,
- or the package is not required, disable it with --with-tcldebug=no." >&5
- echo "$as_me: error: tcldebug is required but could not be completely found.
- Please correct the problem by telling configure where tcldebug is
- using the argument --with-tcldebug=/path/to/package,
- or the package is not required, disable it with --with-tcldebug=no." >&2;}
- { (exit 1); exit 1; }; }
- fi
- fi
- fi
- # Check whether --with-otcl or --without-otcl was given.
- if test "${with_otcl+set}" = set; then
- withval="$with_otcl"
- d=$withval
- else
- d=""
- fi;
- OTCL_VERS=1.13
- OTCL_ALT_VERS=1.0
- OTCL_H_PLACES_D="$d
- $d/include"
- OTCL_H_PLACES="../otcl
- /usr/src/local/otcl
- ../otcl-$OTCL_VERS
- /import/otcl/include
- /usr/src/local/otcl-$OTCL_VERS
- /usr/src/local/otcl-$OTCL_ALT_VERS
- $prefix/include
- /usr/local/include
- /usr/contrib/include
- /usr/include"
- OTCL_LIB_PLACES_D="$d
- $d/lib
- "
- OTCL_LIB_PLACES="../otcl
- ../otcl-$OTCL_VERS
- ../otcl-$OTCL_ALT_VERS
- $prefix/lib
- $x_libraries
- /usr/contrib/lib
- /usr/local/lib
- /usr/lib
- /usr/src/local/otcl
- /usr/src/local/otcl-$OTCL_VERS
- /usr/src/local/otcl-$OTCL_ALT_VERS
- "
- NS_PACKAGE_otcl_UNDERWAY=false
- NS_PACKAGE_otcl_COMPLETE=true
- echo "$as_me:$LINENO: checking for otcl.h" >&5
- echo $ECHO_N "checking for otcl.h... $ECHO_C" >&6
- if test "x$d" = "xno"; then
- : disable header
- V_INCLUDE_OTCL=FAIL
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- places="$OTCL_H_PLACES"
- if test "x$d" != "x" -a "x$d" != xyes; then
- if test ! -d $d; then
- { { echo "$as_me:$LINENO: error: $d is not a directory" >&5
- echo "$as_me: error: $d is not a directory" >&2;}
- { (exit 1); exit 1; }; }
- fi
- places="$OTCL_H_PLACES_D"
- fi
- V_INCLUDE_OTCL=""
- found=""
- for dir in $places; do
- if test -r $dir/otcl.h; then
- found="$dir"
- if test "$CC" != "icc" ||
- test "$dir" != "/usr/include"; then
- V_INCLUDE_OTCL="-I$dir"
- fi
- break
- fi
- done
- if test "FAIL$found" = "FAIL" ; then
- NS_PACKAGE_otcl_COMPLETE=false
- echo "$as_me:$LINENO: result: no" >&5
- echo "${ECHO_T}no" >&6
- else
- ac_tr_hdr=HAVE_`echo otcl.h | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
- cat >>confdefs.h <<_ACEOF
- #define $ac_tr_hdr 1
- _ACEOF
- V_INCLUDES="$V_INCLUDE_OTCL $V_INCLUDES"
- V_DEFINES="-D$ac_tr_hdr $V_DEFINES"
- NS_PACKAGE_otcl_UNDERWAY=true
- echo "$as_me:$LINENO: result: $V_INCLUDE_OTCL" >&5
- echo "${ECHO_T}$V_INCLUDE_OTCL" >&6
- fi